diff options
Diffstat (limited to 'cfg.mk')
-rw-r--r-- | cfg.mk | 11 |
1 files changed, 11 insertions, 0 deletions
@@ -230,4 +230,15 @@ sc_prohibit_emacs__indent_tabs_mode__setting: msg='use of emacs indent-tabs-mode: setting' \ $(_prohibit_regexp) +# Ensure that each file that contains fail=1 also contains fail=0. +# Otherwise, setting file=1 in the environment would make tests fail unexpectedly. +sc_fail_is_initialized: + @files=$$(grep -l -E '\<fail=1$$' $$($(VC_LIST_EXCEPT))); \ + if test "$$?" = 0; then \ + grep -LE '\<fail=0$$' $$files | grep . && \ + { echo '$(ME): the above files do not set fail=0' \ + 1>&2; exit 1; } || :; \ + else :; \ + fi + include $(srcdir)/dist-check.mk |